Subject: [dhcwg] dhcpv6 'zone suffix' option

From: "CTO YAN Renxiang" <[email-masked]>
Date: Mon, 13 Dec 2004 21:24:11 +0800

Hi, all,

I've submitted the new version of the draft to the mailing list for some days, by now, no feedback received. 

I believe the questions raised in the 61th meeting have been clarified in the new draft. The main concern is the security. 

In version1, we gave an example, in which user updates DNS RR in DNS server. in fact, this example have no direct relationship with the options proposed in the draft. The idea in the draft only proposes a method to configure the zone suffix.  It does not concern who performs DNS update. In versioin2, we clarify this issue to avoid the misunderstanding. Moreover, after discussion,  Volz and I agree to attach the "zone suffix" option with IA_PD option.

 Does anyone have other opinions about that?  Please give me the comments, good or bad.

Thank you!

-Yan 

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz" <[email-masked]>
Date: Tue, 14 Dec 2004 10:18:18 -0500

Yan:

The option format is incorrect. For DHCPv6 options, the option code and
option length fields are both 16-bits. You have the option code field as
8-bits. See RFC 3315, section 22.1.

Also, I wonder whether any discussion of DNS update issues is needed -- the
requesting router may need a TSIG key or other authentication information in
order to perform any DNS updates.

- Bernie

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> On Behalf Of CTO YAN Renxiang
> Sent: Monday, November 29, 2004 8:58 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]; 
> [email-masked]
> Subject: re: [dhcwg] dhcpv6 'zone suffix' option
> 
> 
> Hi, all,
> 
> According to the discussion before, I revised the draft based
> on the common opinions. Any question or suggestion will be 
> appreciated.
> 
> -Yan
>